package api

import (
	"net/http"

	"github.com/gin-gonic/gin"
	"gitlab.celogeek.com/photos/api/internal/photoserrors"
)

func (s *Service) RequireBody(c *gin.Context) {
	if c.Request.Method == "POST" && c.Request.ContentLength == 0 {
		s.Error(c, http.StatusBadRequest, photoserrors.ErrReqMissingBody)
		return
	}
}
