package models

import "time"

type FileChunk struct {
	FileId    uint32
	File      *File `gorm:"constraint:OnDelete:CASCADE,OnUpdate:CASCADE"`
	Part      uint32
	Checksum  string    `gorm:"unique;size:44;not null"`
	CreatedAt time.Time `json:"created_at"`
	UpdatedAt time.Time `json:"updated_at"`
}
